import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.number().int().optional(),
  jobName: z.string(),
  status: z.string(),
  startedAt: z.coerce.date(),
  completedAt: z.coerce.date().optional().nullable(),
  durationMs: z.number().int().optional().nullable(),
  errorMessage: z.string().optional().nullable()
}).strict();
export const CronJobLogCreateManyInputObjectSchema: z.ZodType<Prisma.CronJobLogCreateManyInput> = makeSchema() as unknown as z.ZodType<Prisma.CronJobLogCreateManyInput>;
export const CronJobLogCreateManyInputObjectZodSchema = makeSchema();
